Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.timers
Class TimerManagerFactory

    java.lang.Object
      com.bea.wlcp.wlng.api.timers.TimerManagerFactory

public abstract class TimerManagerFactory
extends Object

Factory for using the commonj.timers api.

Example usage

>      TimerManager tm = TimerManagerFactory.getFactory().getTimerManager("my_timer_mgr", "my_work_mgr");
>      Timer timer = tm.schedule(listerner, delay);

See also http://e-docs.bea.com/wls/docs100/javadocs/index.html?commonj/timers/package-summary.html

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`TimerManagerFactory()`

Method Summary
`static TimerManagerFactory` | `getFactory()` Retrieves the fatory
`abstract TimerManager` | `getTimerManager(String name, String workMgr)` Gets a commonj.timers.TimerManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerManagerFactory

    public TimerManagerFactory()

Method Detail

### getFactory

    public static TimerManagerFactory getFactory()

  Retrieves the fatory

### getTimerManager

    public abstract TimerManager getTimerManager(String name,
                                                 String workMgr)

  Gets a commonj.timers.TimerManager. If the timer manager does not exist, then create one with that name.

  Parameters:
    `name` - Name for the timer manager.
    `workMgr` - This is the name of a predefined work manager. If name is null or there is no work manager defined the default work manager will be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD